Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
TiXmlAttribute Class Reference

`#include <tinyxml.h>`

Inheritance diagram for TiXmlAttribute:

## Public Member Functions
| TiXmlAttribute ()
| Construct an empty attribute. More...
| TiXmlAttribute (const char *_name, const char *_value)
| Construct an attribute with a name and value. More...
const char * | Name () const
| Return the name of this attribute. More...
const char * | Value () const
| Return the value of this attribute. More...
int | IntValue () const
| Return the value of this attribute, converted to an integer. More...
double | DoubleValue () const
| Return the value of this attribute, converted to a double. More...
const TIXML_STRING & | NameTStr () const
int | QueryIntValue (int *_value) const
int | QueryDoubleValue (double *_value) const
| QueryDoubleValue examines the value string. See QueryIntValue(). More...
void | SetName (const char *_name)
| Set the name of this attribute. More...
void | SetValue (const char *_value)
| Set the value. More...
void | SetIntValue (int _value)
| Set the value from an integer. More...
void | SetDoubleValue (double _value)
| Set the value from a double. More...
const TiXmlAttribute * | Next () const
| Get the next sibling attribute in the DOM. Returns null at end. More...
TiXmlAttribute * | Next ()
const TiXmlAttribute * | Previous () const
| Get the previous sibling attribute in the DOM. Returns null at beginning. More...
TiXmlAttribute * | Previous ()
bool | operator== (const TiXmlAttribute &rhs) const
bool | operator< (const TiXmlAttribute &rhs) const
bool | operator> (const TiXmlAttribute &rhs) const
virtual const char * | Parse (const char *p, TiXmlParsingData *data, TiXmlEncoding encoding)
virtual void | Print (FileStream &stream, int depth) const
void | Print (FileStream &stream, int depth, TIXML_STRING *str) const
void | SetDocument (TiXmlDocument *doc)
Public Member Functions inherited from TiXmlBase
| TiXmlBase ()
virtual | ~TiXmlBase ()
int | Row () const
int | Column () const
| See Row() More...
void | SetUserData (void *user)
| Set a pointer to arbitrary user data. More...
void * | GetUserData ()
| Get a pointer to arbitrary user data. More...
const void * | GetUserData () const
| Get a pointer to arbitrary user data. More...

## Friends
class | TiXmlAttributeSet

## Additional Inherited Members
Public Types inherited from TiXmlBase
enum | { TIXML_NO_ERROR = 0, TIXML_ERROR, TIXML_ERROR_OPENING_FILE, TIXML_ERROR_PARSING_ELEMENT, TIXML_ERROR_FAILED_TO_READ_ELEMENT_NAME, TIXML_ERROR_READING_ELEMENT_VALUE, TIXML_ERROR_READING_ATTRIBUTES, TIXML_ERROR_PARSING_EMPTY, TIXML_ERROR_READING_END_TAG, TIXML_ERROR_PARSING_UNKNOWN, TIXML_ERROR_PARSING_COMMENT, TIXML_ERROR_PARSING_DECLARATION, TIXML_ERROR_DOCUMENT_EMPTY, TIXML_ERROR_EMBEDDED_NULL, TIXML_ERROR_PARSING_CDATA, TIXML_ERROR_DOCUMENT_TOP_ONLY, TIXML_ERROR_STRING_COUNT }
Static Public Member Functions inherited from TiXmlBase
static void | SetCondenseWhiteSpace (bool condense)
static bool | IsWhiteSpaceCondensed ()
| Return the current white space setting. More...
static void | EncodeString (const TIXML_STRING &str, TIXML_STRING *out)
Static Public Attributes inherited from TiXmlBase
static const int | utf8ByteTable [256]
Static Protected Member Functions inherited from TiXmlBase
static const char * | SkipWhiteSpace (const char *, TiXmlEncoding encoding)
static bool | IsWhiteSpace (char c)
static bool | IsWhiteSpace (int c)
static const char * | ReadName (const char *p, TIXML_STRING *name, TiXmlEncoding encoding)
static const char * | ReadText (const char *in, TIXML_STRING *text, bool ignoreWhiteSpace, const char *endTag, bool ignoreCase, TiXmlEncoding encoding)
static const char * | GetEntity (const char *in, char *value, int *length, TiXmlEncoding encoding)
static const char * | GetChar (const char *p, char *_value, int *length, TiXmlEncoding encoding)
static bool | StringEqual (const char *p, const char *endTag, bool ignoreCase, TiXmlEncoding encoding)
static int | IsAlpha (unsigned char anyByte, TiXmlEncoding encoding)
static int | IsAlphaNum (unsigned char anyByte, TiXmlEncoding encoding)
static int | ToLower (int v, TiXmlEncoding encoding)
static void | ConvertUTF32ToUTF8 (unsigned long input, char *output, int *length)
Protected Attributes inherited from TiXmlBase
TiXmlCursor | location
void * | userData
| Field containing a generic user pointer. More...
Static Protected Attributes inherited from TiXmlBase
static const char * | errorString [TIXML_ERROR_STRING_COUNT]

## Detailed Description

An attribute is a name-value pair. Elements have an arbitrary number of attributes, each with a unique name.

Note
  The attributes are not TiXmlNodes, since they are not part of the tinyXML document object model. There are other suggested ways to look at this problem.

## Constructor & Destructor Documentation

TiXmlAttribute | ( |  | ) |
| inline

Construct an empty attribute.

TiXmlAttribute | ( | const char * | _name,
|  | const char * | _value
| ) |  |
| inline

Construct an attribute with a name and value.

## Member Function Documentation

double DoubleValue | ( |  | ) | const

Return the value of this attribute, converted to a double.

int IntValue | ( |  | ) | const

Return the value of this attribute, converted to an integer.

const char* Name | ( |  | ) | const
| inline

Return the name of this attribute.

const TIXML_STRING& NameTStr | ( |  | ) | const
| inline

const TiXmlAttribute * Next | ( |  | ) | const

Get the next sibling attribute in the DOM. Returns null at end.

TiXmlAttribute* Next | ( |  | ) |
| inline

bool operator< | ( | const TiXmlAttribute & | rhs | ) | const
| inline

bool operator== | ( | const TiXmlAttribute & | rhs | ) | const
| inline

bool operator> | ( | const TiXmlAttribute & | rhs | ) | const
| inline

const char * Parse | ( | const char * | p,
|  | TiXmlParsingData * | data,
|  | TiXmlEncoding | encoding
| ) |  |
| virtual

Implements TiXmlBase.

const TiXmlAttribute * Previous | ( |  | ) | const

Get the previous sibling attribute in the DOM. Returns null at beginning.

TiXmlAttribute* Previous | ( |  | ) |
| inline

virtual void Print | ( | FileStream & | stream,
|  | int | depth
| ) |  | const
| inline virtual

All TinyXml classes can print themselves to a filestream or the string class (TiXmlString in non-STL mode, std::string in STL mode.) Either or both cfile and str can be null.

This is a formatted print, and will insert tabs and newlines.

(For an unformatted stream, use the << operator.)

Implements TiXmlBase.

void Print | ( | FileStream & | stream,
|  | int | depth,
|  | TIXML_STRING * | str
| ) |  | const

int QueryDoubleValue | ( | double * | _value | ) | const

QueryDoubleValue examines the value string. See QueryIntValue().

int QueryIntValue | ( | int * | _value | ) | const

QueryIntValue examines the value string. It is an alternative to the IntValue() method with richer error checking. If the value is an integer, it is stored in 'value' and the call returns TIXML_SUCCESS. If it is not an integer, it returns TIXML_WRONG_TYPE.

A specialized but useful call. Note that for success it returns 0, which is the opposite of almost all other TinyXml calls.

void SetDocument | ( | TiXmlDocument * | doc | ) |
| inline

void SetDoubleValue | ( | double | _value | ) |

Set the value from a double.

void SetIntValue | ( | int | _value | ) |

Set the value from an integer.

void SetName | ( | const char * | _name | ) |
| inline

Set the name of this attribute.

void SetValue | ( | const char * | _value | ) |
| inline

Set the value.

const char* Value | ( |  | ) | const
| inline

Return the value of this attribute.

## Friends And Related Function Documentation

friend class TiXmlAttributeSet
| friend

The documentation for this class was generated from the following files:

- persistence/tinyXML/tinyxml.h
- persistence/tinyXML/tinyxml.cpp
- persistence/tinyXML/tinyxmlparser.cpp